Name:           shtool
Version:        2.0.8
Release:        %mkrel 16
Summary:        Portable shell tool
Group:          System/Base 
License:        GPLv2+
URL:            https://www.gnu.org/software/shtool/
Source0:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
GNU shtool is a compilation of small but very stable and portable
shell scripts into a single shell tool. All ingredients were in
successful use over many years in various free software projects.
The compiled shtool program is intended to be used inside the source
tree of other free software packages. There it can overtake various
(usually non-portable) tasks related to the building and installation
of such a package. It especially can replace the old mkdir.sh,
install.sh and related scripts. 


%prep
%setup -q

%build
%configure
%make_build

%check
%__make check

%install
%__make install DESTDIR=%{buildroot} INSTALL="install -p"

%files
%doc AUTHORS ChangeLog COPYING NEWS RATIONAL README THANKS VERSION
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}
%{_bindir}/%{name}ize
%{_datadir}/%{name}/
%{_datadir}/aclocal/%{name}.m4


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2.0.8-16.mga9
+ Revision: 1806883
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.0.8-15.mga8
+ Revision: 1500074
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 19 2018 umeabot <umeabot> 2.0.8-14.mga7
+ Revision: 1275426
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update macros

* Mon Feb 08 2016 umeabot <umeabot> 2.0.8-13.mga6
+ Revision: 943029
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.8-12.mga5
+ Revision: 742657
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.8-11.mga5
+ Revision: 689149
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.8-10.mga4
+ Revision: 518276
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.8-9.mga3
+ Revision: 382006
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 kamil <kamil> 2.0.8-8.mga2
+ Revision: 199604
- rebuild against new gcc 4.6.2
- clean .spec

* Wed May 11 2011 dmorgan <dmorgan> 2.0.8-7.mga1
+ Revision: 97234
- imported package shtool


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Fabian Affolter <fabian@bernewireless.net> - 2.0.8-5
- Rebuilt

* Sat Feb 27 2010 Fabian Affolter <fabian@bernewireless.net> - 2.0.8-4
- Rebuilt

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 08 2009 Fabian Affolter <fabian@bernewireless.net> - 2.0.8-2
- Added test suite

* Sat Dec 27 2008 Fabian Affolter <fabian@bernewireless.net> - 2.0.8-1
- Initial spec for Fedora
